<!doctype html>
<html lang="en">
<head>
<title>162-linux-kernel-development-workshop</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Workshop link: https://docs.lkcamp.dev/unicamp_group/workshop/</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><ul class="indent"><li><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">*</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span></ul><span class="anonymous" title="anonymous"># READ THIS AFTER EXECUTING CHECKPATCH</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">* Try to find a coding style to fix that you don't need to compile to check if it is ok</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">* Try to find something that doesn't change the logic</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">* Do not mix different types of modifications in one patch.</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">* Check if in the folder driver there isn't a README, a notes.txt our a TODO file that says this driver is deprecated and it will be dropped</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous"># READ THIS BEFORE SUBMITTING YOUR PATCH</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">* Write a comment after "---" in the patch explaining this is your first contribution</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">* CC the patch to helen.koike@collabora.com as well</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">=========================</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">WRITE HERE YOUR NAME AND WHICH ERROR YOU ARE FIXING (so we don't send duplicated patches)</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de"></span><br><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de">WARNING: function definition argument 'int' should also have an identifier name -> gagath</span><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de"></span><br><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de">#1268: FILE: drivers/staging/vme_user/vme.c:1268:</span><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de"></span><br><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de">    https://lore.kernel.org/linux-staging/20240730062843.64977-1-gagath@debian.org/T/#u</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: space prohibited before that close parenthesis ')'</span><span class="a_fJTucFGkXsX9jx33" title="a_fJTucFGkXsX9jx33" style="background-color:#7a4b32">  -> sergiosacj</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#65: FILE: fbtft/fbtft-bus.c:65:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">WARNING: macros should not use a trailing semicolon</span><span class="a_Mdsx2eyJQPUVzO1m" title="a_Mdsx2eyJQPUVzO1m" style="background-color:#e3f86e"> -> saki</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#356: FILE: fbtft/fbtft.h:356:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">CHECK: Alignment should match open parenthesis</span><span class="a_xDwf9GiHsnJ0Mnz3" title="a_xDwf9GiHsnJ0Mnz3" style="background-color:#9f45a5"> -> Thais-ra</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#95: FILE: drivers/staging/greybus/gb-camera.h:95:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: code indent should use tabs where possible</span><span class="a_fygzVFoTQXVTzZXv" title="a_fygzVFoTQXVTzZXv" style="background-color:#ebb0da"> -> eipifun</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#78: FILE: drivers/staging/rtl8723bs/include/rtw_security.h:78:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: that open brace { should be on the previous line</span><span class="a_5C4gYYaEUvpToMZJ" title="a_5C4gYYaEUvpToMZJ" style="background-color:#bab11e">  -> puidan</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#173: FILE: drivers/staging/rtl8723bs/include/rtw_security.h:173:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: code indent should use tabs where possible</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"> -> santiago</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#388: FILE: drivers/staging/rtl8723bs/include/rtw_mlme_ext.h:388:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: that open brace { should be on the previous line</span><span class="a_wWZs6qCuyWpKxxfW" title="a_wWZs6qCuyWpKxxfW" style="background-color:#4bcd30"> -> sskartheekadivi</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#83: FILE: drivers/staging/rtl8723bs/include/osdep_service.h:83:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: "foo * bar" should be "foo *bar"</span><span class="a_qyoisZMxMF3wEK9s" title="a_qyoisZMxMF3wEK9s" style="background-color:#85cdac"> -> Count-Dracula</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#105: FILE: drivers/staging/rtl8723bs/include/osdep_service.h:105:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: code indent should use tabs where possible</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"> -> bensmrs</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#40: FILE: drivers/staging/rtl8723bs/include/osdep_service_linux.h:40:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: code indent should use tabs where possible</span><span class="a_3fUznyWhxYL1lM0j" title="a_3fUznyWhxYL1lM0j" style="background-color:#aa8e34"> -> eamanu</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#104: FILE: drivers/staging/rtl8723bs/include/hal_pwr_seq.h:104</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: trailing whitespace</span><span class="a_UDOYKrxnz873Fox5" title="a_UDOYKrxnz873Fox5" style="background-color:#8e71d1"> -> Felix Yan</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#739: FILE: drivers/staging/rtl8712/rtl871x_cmd.h:739:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: Macros with multiple statements should be enclosed in a do - while loop</span><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35"> -> zigo</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#165: FILE: drivers/staging/greybus/loopback.c:165:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: trailing statements should be on next line</span><span class="a_fJTucFGkXsX9jx33" title="a_fJTucFGkXsX9jx33" style="background-color:#7a4b32"> -> sergiosacj</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#47: FILE: drivers/staging/media/atomisp/pci/hive_isp_css_include/assert_support.h:47:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: trailing statements should be on next line</span><span class="a_qyoisZMxMF3wEK9s" title="a_qyoisZMxMF3wEK9s" style="background-color:#85cdac"> ->Count-Dracula</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#48: FILE: drivers/staging/media/atomisp/pci/isp/kernels/bnr/bnr_1.0/ia_css_bnr.host.c:48:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">CHECK: Lines should not end with a '('</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#55: FILE: drivers/staging/media/atomisp/pci/isp/kernels/anr/anr_1.0/ia_css_anr.host.c:55:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">ERROR: open brace '{' following function definitions go on the next line</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"> -> santiago</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">#239: FILE: drivers/staging/media/atomisp/pci/isp/kernels/sdis/sdis_1.0/ia_css_sdis.host.c:239:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">ERROR: that open brace { should be on the previous line -> santiago</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">#253: FILE: drivers/staging/media/atomisp/pci/isp/kernels/sdis/sdis_1.0/ia_css_sdis.host.c:253:</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">+    if (map)</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">+    {</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">--</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">ERROR: that open brace { should be on the previous line -> santiago</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">#258: FILE: drivers/staging/media/atomisp/pci/isp/kernels/sdis/sdis_1.0/ia_css_sdis.host.c:258:</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">+    } else</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d">+    {</span><span class="a_2erFDvOYYYMXS2Qb" title="a_2erFDvOYYYMXS2Qb" style="background-color:#9e883d"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: Macros with complex values should be enclosed in parentheses</span><span class="a_xDDh6cEIcIIpJt2W" title="a_xDDh6cEIcIIpJt2W" style="background-color:#008f54"> -> spwhitton</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#41: FILE: drivers/staging/media/atomisp/pci/hive_isp_css_include/sp.h:41:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#48: FILE: drivers/staging/media/atomisp/pci/isp/kernels/anr/anr_1.0/ia_css_anr.host.c:48:</span><span class="a_wWZs6qCuyWpKxxfW" title="a_wWZs6qCuyWpKxxfW" style="background-color:#4bcd30"> -> sskartheekadivi</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><span class="a_Mdsx2eyJQPUVzO1m" title="a_Mdsx2eyJQPUVzO1m" style="background-color:#e3f86e"> -saki</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#46: FILE: drivers/staging/media/atomisp/pci/isp/kernels/fpn/fpn_1.0/ia_css_fpn.host.c:46:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#62: FILE: drivers/staging/media/atomisp/pci/isp/kernels/wb/wb_1.0/ia_css_wb.host.c:62:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">CHECK: Lines should not end with a '('</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#77: FILE: drivers/staging/media/atomisp/pci/isp/kernels/wb/wb_1.0/ia_css_wb.host.c:77:</span><br><span class="a_lUJ6pU6vIMNn10n2" title="a_lUJ6pU6vIMNn10n2" style="background-color:#090e17">i</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><span class="a_lUJ6pU6vIMNn10n2" title="a_lUJ6pU6vIMNn10n2" style="background-color:#090e17"> -> kathara</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#50: FILE: drivers/staging/media/atomisp/pci/isp/kernels/de/de_1.0/ia_css_de.host.c:50:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: open brace '{' following function definitions go on the next line</span><span class="a_Bl6lCnWbDGE1Mkom" title="a_Bl6lCnWbDGE1Mkom" style="background-color:#03fb26"> -> milan</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#33: FILE: drivers/staging/media/atomisp/pci/isp/kernels/raw/raw_1.0/ia_css_raw.host.c:33:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><span class="a_ZR4M4VPqkC23o9lm" title="a_ZR4M4VPqkC23o9lm" style="background-color:#4c455d"> -> aquilamacedo</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#88: FILE: drivers/staging/media/atomisp/pci/isp/kernels/dp/dp_1.0/ia_css_dp.host.c:88:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">CHECK: Lines should not end with a '('</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#117: FILE: drivers/staging/media/atomisp/pci/isp/kernels/dp/dp_1.0/ia_css_dp.host.c:117:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">WARNING: please, no spaces at the start of a line</span><span class="a_lUJ6pU6vIMNn10n2" title="a_lUJ6pU6vIMNn10n2" style="background-color:#090e17"> kathara</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#118: FILE: drivers/staging/media/atomisp/pci/isp/kernels/dp/dp_1.0/ia_css_dp.host.c:118:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#41: FILE: drivers/staging/media/atomisp/pci/isp/kernels/sc/sc_1.0/ia_css_sc.host.c:41: -> José</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">WARNING: Block comments use * on subsequent lines</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#49: FILE: drivers/staging/media/atomisp/pci/isp/kernels/sc/sc_1.0/ia_css_sc.host.c:49:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#139: FILE: drivers/staging/media/atomisp/pci/isp/kernels/output/output_1.0/ia_css_output.host.c:139:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#125: FILE: drivers/staging/media/atomisp/pci/isp/kernels/ob/ob_1.0/ia_css_ob.host.c:125:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#73: FILE: drivers/staging/media/atomisp/pci/isp/kernels/csc/csc_1.0/ia_css_csc.host.c:73:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: that open brace { should be on the previous line</span><span class="a_C27vTV2CknvsBWzg" title="a_C27vTV2CknvsBWzg" style="background-color:#b0e801"> -> tchad</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#67: FILE: drivers/staging/media/atomisp/pci/isp/kernels/iterator/iterator_1.0/ia_css_iterator.host.c:67:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: open brace '{' following function definitions go on the next line</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#270: FILE: drivers/staging/media/atomisp/pci/isp/kernels/dvs/dvs_1.0/ia_css_dvs.host.c:270:</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">ERROR: trailing statements should be on next line</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">#53: FILE: drivers/staging/media/atomisp/pci/isp/kernels/tnr/tnr_1.0/ia_css_tnr.host.c:53:</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360">=</span><br><span class="a_GHGVsTFuPeiFCGUD" title="a_GHGVsTFuPeiFCGUD" style="background-color:#07fc3b"></span><br><span class="a_GHGVsTFuPeiFCGUD" title="a_GHGVsTFuPeiFCGUD" style="background-color:#07fc3b">CHECK: Alignment should match open parenthesis</span><span class="a_GHGVsTFuPeiFCGUD" title="a_GHGVsTFuPeiFCGUD" style="background-color:#07fc3b"></span><br><span class="a_GHGVsTFuPeiFCGUD" title="a_GHGVsTFuPeiFCGUD" style="background-color:#07fc3b">#191: FILE: drivers/staging/rtl8192e/rtl819x_HTProc.c:191: -> taffit</span><span class="a_GHGVsTFuPeiFCGUD" title="a_GHGVsTFuPeiFCGUD" style="background-color:#07fc3b"></span><br><span class="a_GHGVsTFuPeiFCGUD" title="a_GHGVsTFuPeiFCGUD" style="background-color:#07fc3b">https://lore.kernel.org/linux-staging/20240730064707.914-1-david@tilapin.org/T/#u</span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">Where to go next</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">===================</span><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de"></span><br><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de"></span><br><span class="a_sf28Ggq4CkykiXZp" title="a_sf28Ggq4CkykiXZp" style="background-color:#ea74de">To check if your patch arrived in the linux-staging ML: see https://lore.kernel.org/linux-staging/</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">Write a hello world char driver: https://docs.lkcamp.dev/unicamp_group/dev_drivers/</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">Do the v4l2 exercises: https://docs.lkcamp.dev/unicamp_group/workshop-v4l/</span><span class="a_lBJVVRyVT3jlulU3" title="a_lBJVVRyVT3jlulU3" style="background-color:#f17360"></span><br><span class="anonymous" title="anonymous">Do the cripto exercises: https://docs.lkcamp.dev/unicamp_group/crypto_kernel/</span><br>
</body>
</html>
